org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class LimitStageVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.LimitStageVerification

    public class LimitStageVerification
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`class` `LimitStageVerification.ProcessorVerification`

### Field Summary

Fields
`protected ReactiveStreamsFactory` `rs`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `limitStageBuilderShouldBeReusable()`
`void` `limitStageShouldAllowLimitingToZero()`
`void` `limitStageShouldCancelUpStreamWhenDone()`
`void` `limitStageShouldIgnoreSubsequentErrorsWhenDone()`
`void` `limitStageShouldLimitTheOutputElements()`
`void` `limitStageShouldPropagateCancellation()`
`void` `limitStageToZeroShouldCompleteStreamEvenWhenNoElementsAreReceived()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rs

    protected final ReactiveStreamsFactory rs

### Method Detail

#### limitStageShouldLimitTheOutputElements

    public void limitStageShouldLimitTheOutputElements()

#### limitStageShouldAllowLimitingToZero

    public void limitStageShouldAllowLimitingToZero()

#### limitStageToZeroShouldCompleteStreamEvenWhenNoElementsAreReceived

    public void limitStageToZeroShouldCompleteStreamEvenWhenNoElementsAreReceived()

#### limitStageShouldCancelUpStreamWhenDone

    public void limitStageShouldCancelUpStreamWhenDone()

#### limitStageShouldIgnoreSubsequentErrorsWhenDone

    public void limitStageShouldIgnoreSubsequentErrorsWhenDone()

#### limitStageShouldPropagateCancellation

    public void limitStageShouldPropagateCancellation()

#### limitStageBuilderShouldBeReusable

    public void limitStageBuilderShouldBeReusable()